import { ConvertedObject, ConvertObject, Currency, Rates } from "./currencies";
export declare class CurrencyConverter {
    private ECB_RATES_URL;
    private isLoaded;
    private rates;
    /**
     * Get the rates from the ECB server.
     * @param {Currency} base The base currency to use.
     * @param {boolean} reload If the data should be reloaded from ECB, default is false.
     * @return {Promise<Rates>} A promise that will give the rates.
     */
    getRates(base: Currency, reload?: boolean): Promise<Rates>;
    private static convertBase(rates, base);
    /**
     * Convert between two currencies.
     * @param {ConvertObject} convertObject The currency object that contains info about the conversion.
     * @return {Promise<ConvertedObject>} A promise that will return the new currency and quantity.
     */
    convert(convertObject: ConvertObject): Promise<ConvertedObject>;
    private xmlToRates(xml);
    private static emptyRatesObject();
    private static isCurrency(currency);
}
